Package com.independentsoft.office.odf.styles

# Enum Class WrapType

java.lang.Object
java.lang.Enum<WrapType>
com.independentsoft.office.odf.styles.WrapType

All Implemented Interfaces:
  `Serializable`, `Comparable<WrapType>`, `Constable`

public enum WrapType extends Enum<WrapType>
Represents how text is displayed around a frame or graphic object.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BIGGEST`
  Text may wrap around the shape where the difference to the left or right page or column border is largest.
  `DYNAMIC`
  Text may wrap around both sides of the shape.
  `LEFT`
  Text wraps around the left side of the shape.
  `NO_WRAP`
  No text wraps.
  `NONE`
  None.
  `PARALLEL`
  Text wraps around both sides of the shape.
  `RIGHT`
  Text wraps around the right side of the shape.
  `RUN_THROUGH`
  Text runs through the shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WrapType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static WrapType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final WrapType LEFT
    Text wraps around the left side of the shape.

  - ### RIGHT

    public static final WrapType RIGHT
    Text wraps around the right side of the shape.

  - ### PARALLEL

    public static final WrapType PARALLEL
    Text wraps around both sides of the shape.

  - ### DYNAMIC

    public static final WrapType DYNAMIC
    Text may wrap around both sides of the shape.

  - ### RUN_THROUGH

    public static final WrapType RUN_THROUGH
    Text runs through the shape.

  - ### BIGGEST

    public static final WrapType BIGGEST
    Text may wrap around the shape where the difference to the left or right page or column border is largest.

  - ### NO_WRAP

    public static final WrapType NO_WRAP
    No text wraps.

  - ### NONE

    public static final WrapType NONE
    None.

- ## Method Details

  - ### values

    public static WrapType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WrapType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null